GREPMIDI(1)

NAME
grepmidi - display structure of MIDI files

SYNOPSIS
grepmidi [ -f ] file [ ... ]

DESCRIPTION
The grepmidi utility provides a simple parser for files in raw MIDI format. It is far from complete, but allows to get a grip of the basic song structure in file. That is, it does not display single note, but only meta information embedded in the MIDI file. grepmidi can also be useful to check whether a given MIDI file contains errors.

More than one file can be given on the commandline. Option -f tells grepmidi to prepend each line of output with the filename that is currently checked.

grepmidi is distributed along with MusE, a full-fledged MIDI Music Editor.

SEE ALSO
muse(1).

AUTHORS
grepmidi was written by Werner Schweer <ws@seh.de>.

This manual page was written by Daniel Kobras <kobras@debian.org> for the Debian GNU/Linux system (but may be used by others).